Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.params
Interface CoreConnectionPNames

All Known Implementing Classes:
  HttpConnectionParams

Deprecated. (4.3) use configuration classes provided 'org.apache.http.config' and 'org.apache.http.client.config'

    @Deprecated
    public interface CoreConnectionPNames

Defines parameter names for connections in HttpCore.

Since:
  4.0

Field Summary
`static String` | `CONNECTION_TIMEOUT` Deprecated. Determines the timeout in milliseconds until a connection is established.
`static String` | `MAX_HEADER_COUNT` Deprecated. Determines the maximum HTTP header count allowed.
`static String` | `MAX_LINE_LENGTH` Deprecated. Determines the maximum line length limit.
`static String` | `MIN_CHUNK_LIMIT` Deprecated. Defines the size limit below which data chunks should be buffered in a session I/O buffer in order to minimize native method invocations on the underlying network socket.
`static String` | `SO_KEEPALIVE` Deprecated. Defines whether or not TCP is to send automatically a keepalive probe to the peer after an interval of inactivity (no data exchanged in either direction) between this host and the peer.
`static String` | `SO_LINGER` Deprecated. Sets SO_LINGER with the specified linger time in seconds.
`static String` | `SO_REUSEADDR` Deprecated. Defines whether the socket can be bound even though a previous connection is still in a timeout state.
`static String` | `SO_TIMEOUT` Deprecated. Defines the socket timeout (`SO_TIMEOUT`) in milliseconds, which is the timeout for waiting for data or, put differently, a maximum period inactivity between two consecutive data packets).
`static String` | `SOCKET_BUFFER_SIZE` Deprecated. Determines the size of the internal socket buffer used to buffer data while receiving / transmitting HTTP messages.
`static String` | `STALE_CONNECTION_CHECK` Deprecated. Determines whether stale connection check is to be used.
`static String` | `TCP_NODELAY` Deprecated. Determines whether Nagle's algorithm is to be used.

Field Detail

### SO_TIMEOUT

    static final String SO_TIMEOUT

  Deprecated.
  Defines the socket timeout (`SO_TIMEOUT`) in milliseconds, which is the timeout for waiting for data or, put differently, a maximum period inactivity between two consecutive data packets). A timeout value of zero is interpreted as an infinite timeout.

  This parameter expects a value of type `Integer`.

  See Also:
    `SocketOptions.SO_TIMEOUT`, Constant Field Values

### TCP_NODELAY

    static final String TCP_NODELAY

  Deprecated.
  Determines whether Nagle's algorithm is to be used. The Nagle's algorithm tries to conserve bandwidth by minimizing the number of segments that are sent. When applications wish to decrease network latency and increase performance, they can disable Nagle's algorithm (that is enable TCP_NODELAY). Data will be sent earlier, at the cost of an increase in bandwidth consumption.

  This parameter expects a value of type `Boolean`.

  See Also:
    `SocketOptions.TCP_NODELAY`, Constant Field Values

### SOCKET_BUFFER_SIZE

    static final String SOCKET_BUFFER_SIZE

  Deprecated.
  Determines the size of the internal socket buffer used to buffer data while receiving / transmitting HTTP messages.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### SO_LINGER

    static final String SO_LINGER

  Deprecated.
  Sets SO_LINGER with the specified linger time in seconds. The maximum timeout value is platform specific. Value `0` implies that the option is disabled. Value `-1` implies that the JRE default is used. The setting only affects the socket close operation.

  This parameter expects a value of type `Integer`.

  See Also:
    `SocketOptions.SO_LINGER`, Constant Field Values

### SO_REUSEADDR

    static final String SO_REUSEADDR

  Deprecated.
  Defines whether the socket can be bound even though a previous connection is still in a timeout state.

  This parameter expects a value of type `Boolean`.

  Since:
    4.1
  See Also:
    `Socket.setReuseAddress(boolean)`, Constant Field Values

### CONNECTION_TIMEOUT

    static final String CONNECTION_TIMEOUT

  Deprecated.
  Determines the timeout in milliseconds until a connection is established. A timeout value of zero is interpreted as an infinite timeout.

  Please note this parameter can only be applied to connections that are bound to a particular local address.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### STALE_CONNECTION_CHECK

    static final String STALE_CONNECTION_CHECK

  Deprecated.
  Determines whether stale connection check is to be used. The stale connection check can cause up to 30 millisecond overhead per request and should be used only when appropriate. For performance critical operations this check should be disabled.

  This parameter expects a value of type `Boolean`.

  See Also:
    Constant Field Values

### MAX_LINE_LENGTH

    static final String MAX_LINE_LENGTH

  Deprecated.
  Determines the maximum line length limit. If set to a positive value, any HTTP line exceeding this limit will cause an IOException. A negative or zero value will effectively disable the check.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### MAX_HEADER_COUNT

    static final String MAX_HEADER_COUNT

  Deprecated.
  Determines the maximum HTTP header count allowed. If set to a positive value, the number of HTTP headers received from the data stream exceeding this limit will cause an IOException. A negative or zero value will effectively disable the check.

  This parameter expects a value of type `Integer`.

  See Also:
    Constant Field Values

### MIN_CHUNK_LIMIT

    static final String MIN_CHUNK_LIMIT

  Deprecated.
  Defines the size limit below which data chunks should be buffered in a session I/O buffer in order to minimize native method invocations on the underlying network socket. The optimal value of this parameter can be platform specific and defines a trade-off between performance of memory copy operations and that of native method invocation.

  This parameter expects a value of type `Integer`.

  Since:
    4.1
  See Also:
    Constant Field Values

### SO_KEEPALIVE

    static final String SO_KEEPALIVE

  Deprecated.
  Defines whether or not TCP is to send automatically a keepalive probe to the peer after an interval of inactivity (no data exchanged in either direction) between this host and the peer. The purpose of this option is to detect if the peer host crashes.

  This parameter expects a value of type `Boolean`.

  Since:
    4.2
  See Also:
    `SocketOptions.SO_KEEPALIVE`, Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.